org.cpsolver.instructor.model

## Class Attribute

- java.lang.Object
- - org.cpsolver.instructor.model.Attribute

-     public class Attribute
      extends Object

  Attributes of an instructor. Each instructor can have a number of attributes and there are attribute preferences on teaching requests. Each attribute has an id, a name and a `Attribute.Type`.
  Version:
    IFS 1.3 (Instructor Sectioning)
    Copyright (C) 2016 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Attribute.Type` Attribute type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Attribute(long attributeId, String attributeName, Attribute.Type type)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Long` | `getAttributeId()` Attribute id that was provided in the constructor
    `String` | `getAttributeName()` Attribute name that was provided in the constructor
    `Attribute` | `getParentAttribute()` Parent attribute
    `Attribute.Type` | `getType()` Attribute type that was provided in the constructor
    `int` | `hashCode()`
    `void` | `setParentAttribute(Attribute parent)` Parent attribute
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Attribute

          public Attribute(long attributeId,
                           String attributeName,
                           Attribute.Type type)

      Constructor
      Parameters:
        `attributeId` - attribute id
        `attributeName` - attribute name
        `type` - attribute type

  - ### Method Detail

    - #### getAttributeId

          public Long getAttributeId()

      Attribute id that was provided in the constructor
      Returns:
        attribute id

    - #### getAttributeName

          public String getAttributeName()

      Attribute name that was provided in the constructor
      Returns:
        attribute name

    - #### getType

          public Attribute.Type getType()

      Attribute type that was provided in the constructor
      Returns:
        attribute type

    - #### getParentAttribute

          public Attribute getParentAttribute()

      Parent attribute

    - #### setParentAttribute

          public void setParentAttribute(Attribute parent)

      Parent attribute

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`